Secure Access: Events for Network Tunnels

Once you set up the SD-WAN Catalyst sites and devices, you can view the events for the Network Tunnels deployed in the SASE Management organization.

For information about generating your access token for the Secure Access API, see SASE Authorization.

Get Events for the Network Tunnels

Get the events recorded in Secure Access for the network tunnels deployed in the organization.

GET https://api.sse.cisco.com/reports/v2/networkTunnelLogs?from=-1hours&to=now&limit=2&networktunnelgrouplabel={Name of Network Tunnel Group}

Prerequisites

  • A Cisco Secure Access API key with the reports key scope.
  • Network Tunnel Group Name: Get the name of the Network Tunnel Group. Navigate to SD-WAN Manager and locate the list of Network Tunnel Groups. Choose a Network Tunnel Group from the list of Network Tunnel Groups. Get the name of the Network Tunnel Group created in the SD-WAN Manager.
  • YourAccessToken: Set your Bearer token for Secure Access in the HTTP Authorization header.

Request

curl --request GET \
  --location 'https://api.sse.cisco.com/reports/v2/networkTunnelLogs?from=-1hours&to=now&limit=2&networktunnelgrouplabel={Network Tunnel Group Name}' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer {YourAccessToken}' \

Response

{
  "data": [
    {
      "timestamp": 1765319270,
      "umbrellaOrgId": 8174213,
      "networkTunnelGroupId": 638485663,
      "originId": 638485662,
      "originType": null,
      "tunnelId": 1548737952,
      "serviceName": "IKE",
      "level": "INFO",
      "message": "CHILD tunnel successfully connected",
      "region": "us-west-2",
      "datacenterIp": "44.228.138.150,2603:5004:13:20e::110:1",
      "datacenter": "sse-usw-2-1-1",
      "ikeAuthId": "C8K-B753B89F-CA97-6B05-E0A5-353D79498E75-32heNzia8SEesFwaUOF@8174213-638485662-sse.cisco.com",
      "ikeCustomerAddress": "50.18.177.56",
      "ikeCustomerPort": 4500,
      "ikeSpi": "d0eafd68f59dee08",
      "bgpPeerIp": null,
      "networkTunnelGroupLabel": "C8K-B753B89F-CA97-6B05-E0A5-353D79498E75",
      "deviceType": "Catalyst SDWAN",
      "hubId": "638485662",
      "hubIsPrimary": true
    }
  ]
}